Skip to content
GET/{organizationId}/{mandateId}/crm/contacts/statistics/membersDepartmentMix

Get members department mix

Returns monthly active member department assignments split by department

Required permissions:

  • contact:member.read

  • department.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Query Parameters

fromDatestringrequired
toDatestringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/contacts/statistics/membersDepartmentMix
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/statistics/membersDepartmentMix?fromDate=string&toDate=string' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "departments": [
    {
      "key": "string",
      "label": "string",
      "color": "string"
    }
  ],
  "data": [
    {
      "date": "string",
      "activeMemberships": 0,
      "buckets": [
        {
          "departmentKey": "string",
          "count": 0
        }
      ]
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}